#
# spec file for package icecast
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           icecast
BuildRequires:  curl-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxslt-devel
BuildRequires:  speex-devel
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd %insserv_prereq %fillup_prereq
Summary:        Audio Streaming Server
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Servers
Version:        2.3.2
Release:        60.61.1
Url:            http://www.icecast.org/
Source:         %{name}-%{version}.tar.bz2
Source1:        icecast.init
Patch:          icecast-2.3.1_runas_icecast_user.patch
Patch1:         icecast-2.3.2-CVE-2011-4612.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Icecast is a MP3 and OGG streaming server able to serve many clients
with MP3 and OGG audio.



Authors:
--------
    Jack Moffitt <jack@icecast.org>
    Barath Raghavan <barath@linuxpower.org>
    Alexander Havng <eel@musiknet.se>

%prep
%setup
%patch
%patch1 -p1

%build
%configure
make

%install
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
# init script
%{__install} -d -m 0755 %{buildroot}%{_sbindir}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
# create missing dirs
%{__install} -d -m 0755 %{buildroot}%{_var}/{lib,log}/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd   -r %{name} &>/dev/null || :
/usr/sbin/useradd -o -g %{name} -s /bin/false -r -c "Icecast streaming server" -d %{_var}/lib/%{name} %{name} &>/dev/null || :

%post
%fillup_and_insserv %{name}

%preun
%stop_on_removal %{name}

%postun
%restart_on_update %{name}
%insserv_cleanup

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc doc/*.html
%doc doc/*.jpg
%doc doc/*.css
%doc conf/*.dist
%config(noreplace) %attr(640,root,%{name}) /etc/%{name}.xml
%{_bindir}/icecast
%{_datadir}/icecast
%{_sbindir}/rc%{name}
%{_sysconfdir}/init.d/%{name}
# TODO: enable chroot support in this dir
%{_var}/lib/%{name}
%attr(755,%{name},%{name}) %{_var}/log/%{name}

%changelog
* Mon Mar  5 2012 tiwai@suse.de
- Fix VUL-1: icecast log injection (CVE-2011-4612, bnc#737255)
* Wed Jun 18 2008 tiwai@suse.de
- updated to version 2.3.2:
  * Character set support
  * Authentication improvements
  * Listening socket update
  * XSL update
  * Updates for stream directory handling.
  * Updates for Win32.
  * Accept/Ban IP support.
  * A Mountpoint is exported to the slaves even if no mount
    section is defined for it.
  * Relays handle redirection (HTTP 302) if one is received at
    startup.
  * Automatically generate XSPF playlist like we do with M3U, the
    mountpoint extension is .xspf
  * Header updates for proxy handling and certain clients like
    some shoutcast source clients and flash players.
  * Added Kate/Skeleton codecs to Ogg handler.
  * Various stats cleanups.
  * The streamlist passed from master to slave had a limited
    length
  * Documentation updates.
  * Relay startup/shutdown is cleaner.
  * several build cleanups.
  * several resource leaks and race conditions fixed
* Fri Feb  2 2007 mmarek@suse.cz
- fix build with curl-7.16
- fixed more comparison with string literals by using static char*
  variables instead of #defines to string constans to detect
  whether a default or malloced value is used
* Tue Dec 19 2006 tiwai@suse.de
- fix comparison of string literal in cfgfile.c (#226380).
* Wed Oct 11 2006 tiwai@suse.de
- added icecast-2.3.1_runas_icecast_user.patch:
  run icecast as "icecast" user and group by default
- added init script
- added log/home dir to the fileist
- dont run suse_update_config/autoreconf seems unneeded.
  (tested with the buildservice on 10.0->Factory)
- replaced manual configure call with %%configure
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 tiwai@suse.de
- fix the log directory of the sample xml file (#137965).
* Fri Dec  2 2005 tiwai@suse.de
- updated to version 2.3.1.
* Sat Oct 15 2005 max@suse.de
- Enabled support for ogg/speex and ogg/theora streams.
* Fri Oct  7 2005 stark@suse.de
- update to version 2.3.0
* Tue Jun 14 2005 tiwai@suse.de
- repackaged - initial version: 2.2.0.
